AddCylinder 方法 (ActiveX)
创建一个 3D 实体圆柱体,其底位于 WCS 的 XY 平面上。 支持的平台:仅限 Windows 签名VBA: RetVal = object.AddCylinder(Center, Radius, Height) 言论没有其他评论。 例子VBA: Sub Example_AddCylinder() ' This example creates a cylinder in model space. Dim cylinderObj As Acad3DSolid Dim radius As Double Dim center(0 To 2) As Double Dim height As Double ' Define the cylinder center(0) = 0#: center(1) = 0#: center(2) = 0# radius = 5# height = 20# ' Create the Cylinder (3DSolid) object in model space Set cylinderObj = ThisDrawing.ModelSpace.AddCylinder(center, radius, height) ' Change the viewing direction of the viewport to better see the cylinder Dim NewDirection(0 To 2) As Double NewDirection(0) = -1: NewDirection(1) = -1: NewDirection(2) = 1 ThisDrawing.ActiveViewport.direction = NewDirection ThisDrawing.ActiveViewport = ThisDrawing.ActiveViewport ZoomAll End Sub 可视化 LISP: (vl-load-com) (defun c:Example_AddCylinder() ;; This example creates a cylinder in model space. (setq acadObj (vlax-get-acad-object)) (setq doc (vla-get-ActiveDocument acadObj)) ;; Define the cylinder (setq center (vlax-3d-point 0 0 0) cylRadius 5 cylHeight 20) ;; Create the Cylinder (3DSolid) object in model space (setq modelSpace (vla-get-ModelSpace doc)) (setq cylinderObj (vla-AddCylinder modelSpace center cylRadius cylHeight)) ;; Change the viewing direction of the viewport to better see the cylinder (setq NewDirection (vlax-3d-point -1 -1 1)) (setq activeViewport (vla-get-ActiveViewport doc)) (vla-put-Direction activeViewport NewDirection) (vla-put-ActiveViewport doc activeViewport) (vla-ZoomAll acadObj) ) |
|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 苏公网安备32011402011833)
GMT+8, 2025-1-19 06:40
Powered by Discuz! X3.4
Copyright © 2001-2021, Tencent Cloud.